# Configuration

- [About](https://docs.powershelluniversal.com/v1/config/about.md)
- [API](https://docs.powershelluniversal.com/v1/config/api.md)
- [Environments](https://docs.powershelluniversal.com/v1/config/environments.md): Information about execution environments.
- [Hosting](https://docs.powershelluniversal.com/v1/config/hosting.md)
- [IIS](https://docs.powershelluniversal.com/v1/config/hosting/hosting-iis.md): Information about hosting PowerShell Universal in IIS.
- [Single-File](https://docs.powershelluniversal.com/v1/config/hosting/single-file.md): Single-file hosting and configuration for PowerShell Universal.
- [Login Page](https://docs.powershelluniversal.com/v1/config/login-page.md): Documentation on how to customize the login page.
- [Management API](https://docs.powershelluniversal.com/v1/config/management-api.md)
- [Settings](https://docs.powershelluniversal.com/v1/config/settings.md): Describes how to set application settings and a definition of the settings.
- [Security](https://docs.powershelluniversal.com/v1/config/security.md)
- [App Tokens](https://docs.powershelluniversal.com/v1/config/security/app-tokens.md): App tokens for accessing PowerShell Universal APIs.
- [OpenID Connect](https://docs.powershelluniversal.com/v1/config/security/openid-connect.md): Configure OpenID Connect with Universal.
- [WS-Federation](https://docs.powershelluniversal.com/v1/config/security/ws-federation.md)
- [Running as a Service Account](https://docs.powershelluniversal.com/v1/config/running-as-a-service-account.md)
- [Git](https://docs.powershelluniversal.com/v1/config/git.md): Git integration for PowerShell Universal.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v1/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
